<section class="detail-selected-mapset">
  <div class="table-detail bg-dark-blue h-100 w-100">
    <div class="d-flex">
      <fa-icon [icon]="icons.faChevronLeft" class="p-2 cursor-pointer" *ngIf="isOverflow" (click)="scrollLeft()"
        [ngClass]="{'text-primary': scroll <= 0, 'text-success': scroll > 0}">
      </fa-icon>
      <div #navheader class="overflow-auto">
        <ul ngbNav #nav="ngbNav" [(activeId)]="active" class="nav-tabs">
          <li [ngbNavItem]="1" *ngIf="dataTableSelectedWazeCrash.data.length > 0 && isActiveWaze">
            <a ngbNavLink>
              Kecelakaan Lalu Lintas
            </a>
            <ng-template ngbNavContent>
              <app-datatablex [data]="dataTableSelectedWazeCrash.data" [column]="dataTableSelectedWazeCrash.column">
              </app-datatablex>
            </ng-template>
          </li>
          <li [ngbNavItem]="2" *ngIf="dataTableSelectedWazeFlood.data.length > 0 && isActiveWaze">
            <a ngbNavLink>
              Banjir
            </a>
            <ng-template ngbNavContent>
              <app-datatablex [data]="dataTableSelectedWazeFlood.data" [column]="dataTableSelectedWazeFlood.column">
              </app-datatablex>
            </ng-template>
          </li>
          <li [ngbNavItem]="3" *ngIf="dataTableSelectedWazeJam.data.length > 0 && isActiveWaze">
            <a ngbNavLink>
              Kepadatan Lalu Lintas
            </a>
            <ng-template ngbNavContent>
              <app-datatablex [data]="dataTableSelectedWazeJam.data" [column]="dataTableSelectedWazeJam.column">
              </app-datatablex>
            </ng-template>
          </li>
          <li [ngbNavItem]="4" *ngIf="dataTableSelectedWazePothole.data.length > 0 && isActiveWaze">
            <a ngbNavLink>
              Jalan Berlubang
            </a>
            <ng-template ngbNavContent>
              <app-datatablex [data]="dataTableSelectedWazePothole.data" [column]="dataTableSelectedWazePothole.column">
              </app-datatablex>
            </ng-template>
          </li>
          <li [ngbNavItem]="5" *ngIf="dataTableSelectedWazeAggregateJam.data.length > 0 && isActiveWaze">
            <a ngbNavLink>
              Kemacetan
            </a>
            <ng-template ngbNavContent>
              <app-datatablex [data]="dataTableSelectedWazeAggregateJam.data"
                [column]="dataTableSelectedWazeAggregateJam.column"></app-datatablex>
            </ng-template>
          </li>
          <li [ngbNavItem]="i+startIndexMapset+1" *ngFor="let row of dataTableSelectedMapset; let i = index">
            <a ngbNavLink>
              {{ row.name | limitTo:'30'}}
            </a>
            <ng-template ngbNavContent>
              <ng-container *ngIf="row.data.length > 0">
                <app-datatablex [data]="row.data" [column]="row.column"></app-datatablex>
              </ng-container>
              <ng-container *ngIf="row.data.length === 0">
                <div class="d-flex h-100 align-items-center justify-content-center">
                  <div class="text-center">
                    <div class="empty-heading">Maaf, pratinjau data dari pencarian geometri berdasarkan daerah seleksi
                      yang dipilih tidak
                      ditemukan</div>
                    <div class="empty-heading-sub mt-3">Silakan tinjau ulang pemilihan area geometri atau ulangi langkah
                      pencarian
                    </div>
                  </div>
                </div>
              </ng-container>
            </ng-template>
          </li>
        </ul>
      </div>
      <fa-icon [icon]="icons.faChevronRight" class="p-2 cursor-pointer" *ngIf="isOverflow" (click)="scrollRight()"
        [ngClass]="{'text-primary': scroll >= endScroll, 'text-success': scroll < endScroll}">
      </fa-icon>
    </div>
    <div [ngbNavOutlet]="nav" class="tab-content text-white p-2 overflow-auto">
    </div>
  </div>
</section>